package com.zxbw.modulemain.box.contract

import com.zxhl.cms.net.model.box.*


class LotteryContract {
    interface View {
        fun setOneLotterResult(result: OneLotteryEntity?)
        fun setTestLotterResult(result: LotteryEntity?)
        fun setFiveLotterResult(result: FiveLotteryEntiy?)
        fun setEpicCardLotteryResult(result: FiveLotteryEntiy?)
        fun setDuoChouResult(result: FiveLotteryEntiy?)
        fun setPopLotteryResult(result: FiveLotteryEntiy?)
        fun setPropsCardList(result: PropsCardList?, cardEntity: PropsCardEntity?)
        fun setSelectLotteryResult(result: FiveLotteryEntiy?)
        fun setSelectLotteryActivityResult(result: FiveLotteryEntiy?)
    }

    interface Presenter {
        fun testLottery(boxid: String?)
        fun oneLottery(boxid: String?)
        fun fiveLottery(boxid: String?)
        fun epicCardLottery(boxid: String?)

        fun getPropsCardList(boxid: String?, cardEntity: PropsCardEntity?)
        fun rePumpingOneLottery(boxid: String?, depotIds: String)//重抽单抽
        fun rePumpingFiveLottery(boxid: String?, depotIds: String)//重抽五连抽
        fun duoChouLottery(boxid: String?, nums: Int)
        fun popLottery(boxid: String?, discount: String?, nums: Int)

        fun selectLottery(boxid: String?, nums: Int)
        fun selectLotteryActivity(boxId: String?, nums: String)
    }
}